<template>
  <div class='flash_msg' v-if='!hidden' v-bind:class="{ 'error_flash_msg': error_type }">
    <h2>{{ message }}</h2>
  </div>
</template>


<script>
  export default {
    data () {
      return {
        message: 'test',
        hidden: true,
        error_type: false
      }
    },
    mounted() {
      this.$root.$on('setFlashMsg', (params) => {
        this.hidden = false
        this.message = params['message']
        if (params['type'] == 'error') {
          this.error_type = true
        } else {
          this.error_type = false
        }
        this.closeFlashMsgWindow() 
      })
    },
    methods: {
      closeFlashMsgWindow() {
        setTimeout(() => {
          this.hidden = true
        }, 5500)
      } 

    }
  }
</script>
